%define git 20160531

Summary:	Plasma 5 minimize all windows applet
Name:		plasma5-applet-minimizeall
Version:	0
Release:	0.%{git}.4
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://github.com/bvbfan/Minimize-All
# Snapshot from github
Source0:	%{name}-%{git}.tar.bz2
Patch0:		plasma5-applet-minimizeall-20160531-ru.patch
Patch1:		plasma5-applet-minimizeall-20160531-applet-name.patch
Patch2:		plasma5-applet-minimizeall-20160531-accept-keyboard-shortcuts.patch
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5windowsystem-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Quick)

%description
Plasma 5 minimize all windows applet.

%files -f plasma_applet_org.kde.minimizeall.lang
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.minimizeall/
%{_kde5_datadir}/plasma/plasmoids/org.kde.minimizeall/*
%dir %{_kde5_qmldir}/org/kde/private/minimizeall/
%{_kde5_qmldir}/org/kde/private/minimizeall/*
%{_kde5_services}/plasma-applet-org.kde.minimizeall.desktop

#----------------------------------------------------------------------------

%prep
%setup -qn %{name}-%{git}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

mkdir -p %{buildroot}%{_kde5_datadir}/plasma/plasmoids/org.kde.minimizeall/
cp -r package/* %{buildroot}%{_kde5_datadir}/plasma/plasmoids/org.kde.minimizeall/

mkdir -p %{buildroot}%{_kde5_services}/
install -m 644 package/metadata.desktop %{buildroot}%{_kde5_services}/plasma-applet-org.kde.minimizeall.desktop

%find_lang plasma_applet_org.kde.minimizeall

%changelog

* Sat Jul 23 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0-0.20160531.4
- (e4a8c50) Add patch to fix plasmoid ignoring assigned keyboard shortcuts


